---
- entityDefinitions:
  - IDR_Update_By_System_Routine_Method__uses__System_Update_Routine: '{9424a253-cb40-4c7d-bebd-0d0373458154}'
  - IDR_System_Update_Routine__used_by__Update_By_System_Routine_Method: '{fd717c2c-04e9-4a80-afbb-126a3906465f}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_UpdateBySystemRoutineMethod;'
    inherits:  '&IDC_Method;'
    name:      US - Update by System Routine Method
    index:     65
    customTagName: updateBySystemRoutineMethod
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_US;'
    superclasses:
    - instance: '&IDC_Method;'
    # - instance: '&IDC_ExecuteUpdateMethod;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Update_By_System_Routine_Method__uses__System_Update_Routine;'
      customTagName: 'systemUpdateRoutineId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'

  - relationship: '&IDR_Update_By_System_Routine_Method__uses__System_Update_Routine;'
    index: 137
    sourceClassId: '&IDC_UpdateBySystemRoutineMethod;'
    type: 'uses'
    destinationClassId: '&IDC_SystemUpdateRoutine;'
    siblingRelationshipId: '&IDR_System_Update_Routine__used_by__Update_By_System_Routine_Method;'
    singular: yes

  - relationship: '&IDR_System_Update_Routine__used_by__Update_By_System_Routine_Method;'
    index: 138
    sourceClassId: '&IDC_SystemUpdateRoutine;'
    type: 'used by'
    destinationClassId: '&IDC_UpdateBySystemRoutineMethod;'
    siblingRelationshipId: '&IDR_Update_By_System_Routine_Method__uses__System_Update_Routine;'
    singular: no
